/**
 * 场景管理数据接口
 */
import request from '../index'

// 列表
export function getSceneList(params: object) {
  return request({
    url: '/api/scene/page',
    method: 'get',
    params,
  })
}

export function getSceneAll(params: object) {
  return request({
    url: '/api/scene/list',
    method: 'get',
    params,
  })
}
// 新建
export function addScene(data: object) {
  return request({
    url: '/api/scene/add',
    method: 'post',
    data,
  })
}

export function updateScene(data: object) {
  return request({
    url: '/api/scene/update',
    method: 'post',
    data,
  })
}
// 删除
export function removeScene(id: string) {
  return request({
    url: `/api/scene/delete?scene_id=${id}`,
    method: 'delete',
  })
}
